dofile('data/Scripts/Scenes/Common.lua');
dofile('data/Scripts/Scenes/Animations/08_HutOnTree2_Animations.lua');

------------------------------------------------------------------------------
--
function OnSceneLoad(restoringFromSave)
	InitGameState();

	play_field = playField;
    LoadData();
	play_field = nil;

    RootZoomZone = CreateZoomZone('RootZoomZone', nil, 
                                   nil, 0.0, 
                                   nil, 0.0,
							{'RootBackground',

							 'blindGenView',

							 'doorWithoutHandle',
							 'doorOpeningAnimation',
							 'cupboardDoorClosed',
							 'cupboardDoorOpeningAnimation',

                             'actZoneUpstairsRoom',
							 'actZoneWindow',
							 'actZoneCupboard',
							 'actZoneDoor',
							 'actZoneMapFragment',

							 'apple',
							 'bag',
							 'balance',
							 'bee',
							 'bird',
							 'book',
							 'boot',
							 'bottleWithOil',
							 'box',
							 'bug',
							 'chest',
							 'coin',
							 'compass',
							 'crawfish',
							 'eggplant',
							 'emerald',
							 'fan',
							 'flower',
							 'fryingPan',
							 'grapes',
							 'hat',
							 'hummer',
							 'jug',
							 'key',
							 'leatherBag',
							 'leaves',
							 'lizard',
							 'mortar',
							 'mushrooms',
							 'oranges',
							 'pot',
							 'scroll',
							 'skin',
							 'snail',
							 'tabaccoPipe',
							 'totem',
							 'tube',
							 'vase',
							 'volute',
							 'whisk',

							 'LayerOverBag',
							 'LayerOverBalance',
							 'LayerOverBook',
							 'LayerOverBottleWithOil',
							 'LayerOverEggplant',
							 'LayerOverFan',
							 'LayerOverFryingPan',
							 'LayerOverKey',
							 'LayerOverOranges',
							 'LayerOverPot',
							 'LayerOverSkin',
							 'LayerOverScissors',

							 'MapFragment_onPlace',
							 'GramophoneDisc_GenView',

							 'MapFragment',
							 'DoorHandle',
							 'Scissors'},

							{},

							{'doorLight'});

	WindowZoomZone = CreateZoomZone('WindowZoomZone', RootZoomZone, 
                                  'actZoneWindow', 0.0,
                                  nil, 0.0,
							{'ZoomWindowBackground',

							 'blind',
							 'actZoneBlind',
							 'GramophoneHandle',
							 'LayerOverHandle'},

							{});

	CupboardZoomZone = CreateZoomZone('CupboardZoomZone', RootZoomZone, 
                                  'actZoneCupboard', 0.0,
                                  nil, 0.0,
							{'ZoomCupboardBackground',

							 'actZoneKey',

							 'doorOpened',
							 'doorClosed',

							 'GramophoneDisc'},

							{'doorOpened'});

	UpstairsRoomZoomZone = CreateZoomZone('UpstairsRoomZoomZone', RootZoomZone, 
                                  'actZoneUpstairsRoom', -120.0/180.0 * M_PI, 
                                  'navigationZoneUpstairsRoom', 150.0/180.0 * M_PI,
							{'ZoomUpstairsRoomBackground',
							 'navigationZoneUpstairsRoom',

							 'actZoneGramophone',

							 'arrow',
							 'axe',
							 'basket',
							 'bottle',
							 'bow',
							 'box1',
							 'bug1',
							 'butterfly',
							 'button',
							 'candlestick',
							 'carrot',
							 'catStatuette',
							 'chest1',
							 'corn',
							 'dishes',
							 'dove',
							 'feathers',
							 'guitar',
							 'hieroglyph',
							 'jug1',
							 'kiwiFruit',
							 'knife',
							 'leaf',
							 'lemon',
							 'mop',
							 'mushrooms1',
							 'nest',
							 'orchid',
							 'pear',
							 'pencils',
							 'pendant',
							 'plant',
							 'plate',
							 'pot1',
							 'rope',
							 'spoon',
							 'stackOfBooks',
							 'sun',
							 'wallet',
							 'waterCan',

							 'LayerOverBow',
							 'LayerOverHieroglyph',
							 'LayerOverJug',
							 'LayerOverMop',
							 'LayerOverPear',
							 'LayerOverPencils',
							 'layerOverPlant',
							 'LayerOverRope',
							 'LayerOverStackOfBooks',
							 'LayerOverWallet',
							 'LayerOverKey1',

							 'GramophoneHandle_onPlaceGenView',
							 'GramophoneDisc_onPlaceGenView',

							 'Key'},

							{'GramophoneHandle_onPlaceGenView',
							 'GramophoneDisc_onPlaceGenView'});

	GramophoneZoomZone = CreateZoomZone('GramophoneZoomZone', UpstairsRoomZoomZone, 
                                  'actZoneGramophone', 0.0,
                                  nil, 0.0,
							{'ZoomGramophoneBackground',
							 'GramophoneDisc_onPlace',
							 'GramophoneHandle_onPlace',

							 'gramophoneMechanism',
							 'LayerOverDisc',
							 'actZoneGramophoneDisc',
							 'actZoneGramophoneHandle'},

							{'GramophoneDisc_onPlace',
							 'GramophoneHandle_onPlace'});

if (restoringFromSave == false) then
    AddRandomTasks(true, 2 * MISC_TASK_COUNT_24,
		CreateTask('apple'),
		CreateTask('bag'),
		CreateTask('balance'),
		CreateTask('bee'),
		CreateTask('bird'),
		CreateTask('book'),
		CreateTask('boot'),
		CreateTask('bottleWithOil'),
		CreateTask('box'),
		CreateTask('bug'),
		CreateTask('chest'),
		CreateTask('coin'),
		CreateTask('compass'),
		CreateTask('crawfish'),
		CreateTask('eggplant'),
		CreateTask('emerald'),
		CreateTask('fan'),
		CreateTask('flower'),
		CreateTask('fryingPan'),
		CreateTask('grapes'),
		CreateTask('hat'),
		CreateTask('hummer'),
		CreateTask('jug'),
--		CreateTask('key'),
		CreateTask('leatherBag'),
		CreateTask('leaves'),
		CreateTask('lizard'),
		CreateTask('mortar'),
		CreateTask('mushrooms'),
		CreateTask('oranges'),
		CreateTask('pot'),
		CreateTask('scroll'),
		CreateTask('skin'),
		CreateTask('snail'),
		CreateTask('tabaccoPipe'),
		CreateTask('totem'),
		CreateTask('tube'),
		CreateTask('vase'),
		CreateTask('volute'),
		CreateTask('whisk'),

		CreateTask('arrow'),
		CreateTask('axe'),
		CreateTask('basket'),
		CreateTask('bottle'),
		CreateTask('bow'),
		CreateTask('box1'),
		CreateTask('bug1'),
		CreateTask('butterfly'),
		CreateTask('button'),
		CreateTask('candlestick'),
		CreateTask('carrot'),
		CreateTask('catStatuette'),
		CreateTask('chest1'),
		CreateTask('corn'),
		CreateTask('dishes'),
		CreateTask('dove'),
		CreateTask('feathers'),
		CreateTask('guitar'),
		CreateTask('hieroglyph'),
		CreateTask('jug1'),
		CreateTask('kiwiFruit'),
		CreateTask('knife'),
		CreateTask('leaf'),
		CreateTask('lemon'),
		CreateTask('mop'),
		CreateTask('mushrooms1'),
		CreateTask('nest'),
		CreateTask('orchid'),
		CreateTask('pear'),
		CreateTask('pencils'),
		CreateTask('pendant'),
		CreateTask('plant'),
		CreateTask('plate'),
		CreateTask('pot1'),
		CreateTask('rope'),
		CreateTask('spoon'),
		CreateTask('stackOfBooks'),
--		CreateTask('sun'),
		CreateTask('wallet'),
		CreateTask('waterCan')
	);

    playField:GetLevelScreen():AddTaskSafe(CreateTask('MapFragment'));
    playField:GetLevelScreen():AddTaskSafe(CreateTask('DoorHandle'));
    playField:GetLevelScreen():AddTaskSafe(CreateTask('GramophoneHandle'));
    playField:GetLevelScreen():AddTaskSafe(CreateTask('Scissors'));
    playField:GetLevelScreen():AddTaskSafe(CreateTask('GramophoneDisc'));
    playField:GetLevelScreen():AddTaskSafe(CreateTask('Key'));
end

	CreateToolMap(	{'MapFragment', 	'actZoneMapFragment'},
					{'DoorHandle',   	'actZoneDoor'},
					{'GramophoneHandle','actZoneGramophoneHandle'},
					{'Scissors',       	'actZoneBlind'},
					{'GramophoneDisc',  'actZoneGramophoneDisc'},
					{'Key',				'actZoneKey'});

	SetIconForGameObject(playField:GetObject('apple'),		'data/Texture/Scenes/08_HutOnTree2/Items/Misc/apple_icon.png');
	SetIconForGameObject(playField:GetObject('bag'),		'data/Texture/Scenes/08_HutOnTree2/Items/Misc/bag_icon.png');
	SetIconForGameObject(playField:GetObject('balance'),	'data/Texture/Scenes/08_HutOnTree2/Items/Misc/balance_icon.png');
	SetIconForGameObject(playField:GetObject('bee'),		'data/Texture/Scenes/08_HutOnTree2/Items/Misc/bee_icon.png');
	SetIconForGameObject(playField:GetObject('bird'),		'data/Texture/Scenes/08_HutOnTree2/Items/Misc/bird_icon.png');
	SetIconForGameObject(playField:GetObject('book'),		'data/Texture/Scenes/08_HutOnTree2/Items/Misc/book_icon.png');
	SetIconForGameObject(playField:GetObject('boot'),		'data/Texture/Scenes/08_HutOnTree2/Items/Misc/boot_icon.png');
	SetIconForGameObject(playField:GetObject('bottleWithOil'),'data/Texture/Scenes/08_HutOnTree2/Items/Misc/bottleWithOil_icon.png');
	SetIconForGameObject(playField:GetObject('box'),		'data/Texture/Scenes/08_HutOnTree2/Items/Misc/box_icon.png');
	SetIconForGameObject(playField:GetObject('bug'),		'data/Texture/Scenes/08_HutOnTree2/Items/Misc/bug_icon.png');
	SetIconForGameObject(playField:GetObject('chest'),		'data/Texture/Scenes/08_HutOnTree2/Items/Misc/chest_icon.png');
	SetIconForGameObject(playField:GetObject('coin'),		'data/Texture/Scenes/08_HutOnTree2/Items/Misc/coin_icon.png');
	SetIconForGameObject(playField:GetObject('compass'),	'data/Texture/Scenes/08_HutOnTree2/Items/Misc/compass_icon.png');
	SetIconForGameObject(playField:GetObject('crawfish'),	'data/Texture/Scenes/08_HutOnTree2/Items/Misc/crawfish_icon.png');
	SetIconForGameObject(playField:GetObject('eggplant'),	'data/Texture/Scenes/08_HutOnTree2/Items/Misc/eggplant_icon.png');
	SetIconForGameObject(playField:GetObject('emerald'),	'data/Texture/Scenes/08_HutOnTree2/Items/Misc/emerald_icon.png');
	SetIconForGameObject(playField:GetObject('fan'),		'data/Texture/Scenes/08_HutOnTree2/Items/Misc/fan_icon.png');
	SetIconForGameObject(playField:GetObject('flower'),		'data/Texture/Scenes/08_HutOnTree2/Items/Misc/flower_icon.png');
	SetIconForGameObject(playField:GetObject('fryingPan'),	'data/Texture/Scenes/08_HutOnTree2/Items/Misc/fryingPan_icon.png');
	SetIconForGameObject(playField:GetObject('grapes'),		'data/Texture/Scenes/08_HutOnTree2/Items/Misc/grapes_icon.png');
	SetIconForGameObject(playField:GetObject('hat'),		'data/Texture/Scenes/08_HutOnTree2/Items/Misc/hat_icon.png');
	SetIconForGameObject(playField:GetObject('hummer'),		'data/Texture/Scenes/08_HutOnTree2/Items/Misc/hummer_icon.png');
	SetIconForGameObject(playField:GetObject('jug'),		'data/Texture/Scenes/08_HutOnTree2/Items/Misc/jug_icon.png');
	SetIconForGameObject(playField:GetObject('key'),		'data/Texture/Scenes/08_HutOnTree2/Items/Misc/key_icon.png');
	SetIconForGameObject(playField:GetObject('leatherBag'),	'data/Texture/Scenes/08_HutOnTree2/Items/Misc/leatherBag_icon.png');
	SetIconForGameObject(playField:GetObject('leaves'),		'data/Texture/Scenes/08_HutOnTree2/Items/Misc/leaves_icon.png');
	SetIconForGameObject(playField:GetObject('lizard'),		'data/Texture/Scenes/08_HutOnTree2/Items/Misc/lizard_icon.png');
	SetIconForGameObject(playField:GetObject('mortar'),		'data/Texture/Scenes/08_HutOnTree2/Items/Misc/mortar_icon.png');
	SetIconForGameObject(playField:GetObject('mushrooms'),	'data/Texture/Scenes/08_HutOnTree2/Items/Misc/mushrooms_icon.png');
	SetIconForGameObject(playField:GetObject('oranges'),	'data/Texture/Scenes/08_HutOnTree2/Items/Misc/oranges_icon.png');
	SetIconForGameObject(playField:GetObject('pot'),		'data/Texture/Scenes/08_HutOnTree2/Items/Misc/pot_icon.png');
	SetIconForGameObject(playField:GetObject('scroll'),		'data/Texture/Scenes/08_HutOnTree2/Items/Misc/scroll_icon.png');
	SetIconForGameObject(playField:GetObject('skin'),		'data/Texture/Scenes/08_HutOnTree2/Items/Misc/skin_icon.png');
	SetIconForGameObject(playField:GetObject('snail'),		'data/Texture/Scenes/08_HutOnTree2/Items/Misc/snail_icon.png');
	SetIconForGameObject(playField:GetObject('tabaccoPipe'),'data/Texture/Scenes/08_HutOnTree2/Items/Misc/tabaccoPipe_icon.png');
	SetIconForGameObject(playField:GetObject('totem'),		'data/Texture/Scenes/08_HutOnTree2/Items/Misc/totem_icon.png');
	SetIconForGameObject(playField:GetObject('tube'),		'data/Texture/Scenes/08_HutOnTree2/Items/Misc/tube_icon.png');
	SetIconForGameObject(playField:GetObject('vase'),		'data/Texture/Scenes/08_HutOnTree2/Items/Misc/vase_icon.png');
	SetIconForGameObject(playField:GetObject('volute'),		'data/Texture/Scenes/08_HutOnTree2/Items/Misc/volute_icon.png');
	SetIconForGameObject(playField:GetObject('whisk'),		'data/Texture/Scenes/08_HutOnTree2/Items/Misc/whisk_icon.png');

	SetIconForGameObject(playField:GetObject('arrow'),		'data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/arrow_icon.png');
	SetIconForGameObject(playField:GetObject('axe'),		'data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/axe_icon.png');
	SetIconForGameObject(playField:GetObject('basket'),		'data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/basket_icon.png');
	SetIconForGameObject(playField:GetObject('bottle'),		'data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/bottle_icon.png');
	SetIconForGameObject(playField:GetObject('bow'),		'data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/bow_icon.png');
	SetIconForGameObject(playField:GetObject('box1'),		'data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/box_icon.png');
	SetIconForGameObject(playField:GetObject('bug1'),		'data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/bug_icon.png');
	SetIconForGameObject(playField:GetObject('butterfly'),	'data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/butterfly_icon.png');
	SetIconForGameObject(playField:GetObject('button'),		'data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/button_icon.png');
	SetIconForGameObject(playField:GetObject('candlestick'),'data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/candlestick_icon.png');
	SetIconForGameObject(playField:GetObject('carrot'),		'data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/carrot_icon.png');
	SetIconForGameObject(playField:GetObject('catStatuette'),'data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/catStatuette_icon.png');
	SetIconForGameObject(playField:GetObject('chest1'),		'data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/chest_icon.png');
	SetIconForGameObject(playField:GetObject('corn'),		'data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/corn_icon.png');
	SetIconForGameObject(playField:GetObject('dishes'),		'data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/dishes_icon.png');
	SetIconForGameObject(playField:GetObject('dove'),		'data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/dove_icon.png');
	SetIconForGameObject(playField:GetObject('feathers'),	'data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/feathers_icon.png');
	SetIconForGameObject(playField:GetObject('guitar'),		'data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/guitar_icon.png');
	SetIconForGameObject(playField:GetObject('hieroglyph'),	'data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/hieroglyph_icon.png');
	SetIconForGameObject(playField:GetObject('jug1'),		'data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/jug_icon.png');
	SetIconForGameObject(playField:GetObject('kiwiFruit'),	'data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/kiwiFruit_icon.png');
	SetIconForGameObject(playField:GetObject('knife'),		'data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/knife_icon.png');
	SetIconForGameObject(playField:GetObject('leaf'),		'data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/leaf_icon.png');
	SetIconForGameObject(playField:GetObject('lemon'),		'data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/lemon_icon.png');
	SetIconForGameObject(playField:GetObject('mop'),		'data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/mop_icon.png');
	SetIconForGameObject(playField:GetObject('mushrooms1'),	'data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/mushrooms_icon.png');
	SetIconForGameObject(playField:GetObject('nest'),		'data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/nest_icon.png');
	SetIconForGameObject(playField:GetObject('orchid'),		'data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/orchid_icon.png');
	SetIconForGameObject(playField:GetObject('pear'),		'data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/pear_icon.png');
	SetIconForGameObject(playField:GetObject('pencils'),	'data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/pencils_icon.png');
	SetIconForGameObject(playField:GetObject('pendant'),	'data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/pendant_icon.png');
	SetIconForGameObject(playField:GetObject('plant'),		'data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/plant_icon.png');
	SetIconForGameObject(playField:GetObject('plate'),		'data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/plate_icon.png');
	SetIconForGameObject(playField:GetObject('pot1'),		'data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/pot_icon.png');
	SetIconForGameObject(playField:GetObject('rope'),		'data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/rope_icon.png');
	SetIconForGameObject(playField:GetObject('spoon'),		'data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/spoon_icon.png');
	SetIconForGameObject(playField:GetObject('stackOfBooks'),'data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/stackOfBooks_icon.png');
	SetIconForGameObject(playField:GetObject('sun'),		'data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/sun_icon.png');
	SetIconForGameObject(playField:GetObject('wallet'),		'data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/wallet_icon.png');
	SetIconForGameObject(playField:GetObject('waterCan'),	'data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/waterCan_icon.png');

	SetIconForGameObject(playField:GetObject('MapFragment'),'data/Texture/Scenes/08_HutOnTree2/Items/MapFragment_icon.png');
	SetIconForGameObject(playField:GetObject('DoorHandle'),	'data/Texture/Scenes/08_HutOnTree2/Items/DoorHandle_icon.png');
	SetIconForGameObject(playField:GetObject('GramophoneHandle'),'data/Texture/Scenes/08_HutOnTree2/Items/GramophoneHandle_icon.png');
	SetIconForGameObject(playField:GetObject('Scissors'),	'data/Texture/Scenes/08_HutOnTree2/Items/Scissors_icon.png');
	SetIconForGameObject(playField:GetObject('GramophoneDisc'),'data/Texture/Scenes/08_HutOnTree2/Items/GramophoneDisc_icon.png');
	SetIconForGameObject(playField:GetObject('Key'),		'data/Texture/Scenes/08_HutOnTree2/Items/Key_icon.png');


if (restoringFromSave == false) then
    gameState.mapFragmentOnPlace = false;
	gameState.doorHandleOnPlace = false;
	gameState.gramophoneHandleOnPlace = false;
	gameState.scissorsUsed = false;
	gameState.gramophoneDiscOnPlace = false;
	gameState.keyUsed = false;

	gameState.cupboardDoorOpening = false;
	gameState.cupboardDoorOpened = false;
	gameState.doorOpening = false;
	gameState.doorOpened = false;
	gameState.handleTurned = false;
	gameState.handleIsTurning = false;

	gameState.allToolsApplied = false;
	gameState.levelCompleted = false;
end

	AssignActiveZonesGlow({function() return gameState.mapFragmentOnPlace;end,		'actZoneMapFragment',		'MapFragment_ghost'},
						  {function() return gameState.doorHandleOnPlace; end,		'actZoneDoor',				'DoorHandle_ghost'},
					      {function() return gameState.gramophoneHandleOnPlace; end,'actZoneGramophoneHandle',	'GramophoneHandle_ghost'},
						  {function() return gameState.scissorsUsed; end,			'actZoneBlind',				'Scissors_ghost'},
						  {function() return gameState.gramophoneDiscOnPlace;end,	'actZoneGramophoneDisc',	'GramophoneDisc_ghost'},
						  {function() return gameState.keyUsed; end,				'actZoneKey',				'Key_ghost'});

    ApplyLevelDump(restoringFromSave);
	SetZoneVisible(RootZoomZone, true, false);

	auxSceneInit(restoringFromSave);
	auxProcessToolObjectStateAnCursorType();
end

------------------------------------------------------------------------------
--
function OnSceneFree()
    FreeData();
    StopSound('L08S10');
    StopSound('L08S11');
    StopSound('L08S12');
    StopSound('L08S13');
    StopSound('L08S14');
end

--// Local auxiliary functions - - - - - - - - - - - - - - - - - - - - - - - -
function auxSceneInit()
end
function auxSceneInit(restoringFromSave)
    local initialActions = function()
        ShowLevelIntro(08);
    end
	local regularActions = function()
		if (gameState.handleTurned) then
			PlaySound('L08S12', true);
		end

		gameState.customCursors['actZoneWindow'] = {'CursorZoom'};
	    gameState.customCursors['actZoneCupboard'] = {'CursorZoom'};
	    gameState.customCursors['actZoneGramophone'] = {'CursorZoom'};

        playField:IgnoreOnTestPoint('doorLight');
	    auxAssingIntensityEffect(playField:GetObject('doorLight'), 15.0, 4.0);

	    auxStopAnimation('doorOpeningAnimation', HGEANIM_FWD + HGEANIM_NOLOOP);
	    auxStopAnimation('cupboardDoorOpeningAnimation', HGEANIM_FWD + HGEANIM_NOLOOP);
	    auxStopAnimation('GramophoneDisc_onPlace', HGEANIM_FWD + HGEANIM_LOOP);
	    auxStopAnimation('GramophoneHandle_onPlace', HGEANIM_FWD + HGEANIM_NOLOOP);

        playField:IgnoreOnTestPoint('doorOpeningAnimation');
        playField:IgnoreOnTestPoint('LayerOverPencils');

		auxCreateHutOnTree2Animations(playField:GetObject('RootBackground'),
									  playField:GetObject('ZoomUpstairsRoomBackground'));
		auxPlayHutOnTree2Animation('L1EnvTop');
		auxPlayHutOnTree2Animation('L1Flies1');
--		auxPlayHutOnTree2Animation('L1Lizard1');
--		auxPlayHutOnTree2Animation('L1Lizard2');
--		auxPlayHutOnTree2Animation('L1Lizard3');
--		auxPlayHutOnTree2Animation('L1Flies2');
--		auxPlayHutOnTree2Animation('L1Flies3');

--		auxPlayHutOnTree2Animation('L2Lizard1');
		auxPlayHutOnTree2Animation('L2Lizard2Layer');
		auxPlayHutOnTree2Animation('L2Lizard2');
--		auxPlayHutOnTree2Animation('L2Flies1');
--		auxPlayHutOnTree2Animation('L2Flies2');
--		auxPlayHutOnTree2Animation('L2Flies3');
		auxPlayHutOnTree2Animation('L2EnvTop');
--		auxPlayHutOnTree2Animation('L2Lizard3');

		gameState.nextAnimationDelay = 0;

		gameState.cupboardDoorOpening = false;
		gameState.doorOpening = false;
		gameState.handleIsTurning = false;
	end

    if (restoringFromSave == false) then
        initialActions();
	else
    end	
    regularActions();

	if (gameState.levelCompleted == true or gameState.handleTurned) then
		gameState.levelCompleted = false;
		auxTestLevelCompleteCondition();
	end
end

function auxProcessToolObjectStateAnCursorType()
    assert(gameState.mapFragmentOnPlace ~= nil and
		   gameState.doorHandleOnPlace ~= nil and
		   gameState.gramophoneHandleOnPlace ~= nil and
		   gameState.scissorsUsed ~= nil and
		   gameState.gramophoneDiscOnPlace ~= nil and
		   gameState.keyUsed ~= nil);

	if (gameState.mapFragmentOnPlace == true) then
		RootZoomZone.UnhideObject('MapFragment_onPlace');
		gameState.customCursors['actZoneMapFragment'] = nil;
	else
		RootZoomZone.HideObject('MapFragment_onPlace');
		gameState.customCursors['actZoneMapFragment'] = {'CursorArms'};
	end

	if (gameState.doorHandleOnPlace == true)  then
		RootZoomZone.UnhideObject('doorOpeningAnimation');
		RootZoomZone.HideObject('doorWithoutHandle');

		if (gameState.doorOpening == false) then
			local anim = playField:GetObject('doorOpeningAnimation'):GetAnimation();
			anim:Stop();
			if (gameState.doorOpened == true) then
				anim:SetFrame(anim:GetFrames() - 1);
				playField:GetObject('actZoneDoor'):SetVisible(false);
				gameState.customCursors['actZoneDoor'] = nil;
			else
				anim:SetFrame(0);
				playField:GetObject('actZoneDoor'):SetVisible(true);
				gameState.customCursors['actZoneDoor'] = {'CursorArms'};
			end
		else
			playField:GetObject('actZoneDoor'):SetVisible(false);
			gameState.customCursors['actZoneDoor'] = nil;
		end
	else
		RootZoomZone.HideObject('doorOpeningAnimation');
		RootZoomZone.UnhideObject('doorWithoutHandle');
		playField:GetObject('actZoneDoor'):SetVisible(true);
		gameState.customCursors['actZoneDoor'] = {'CursorArms'};
	end

	if (gameState.keyUsed == true) then
		RootZoomZone.UnhideObject('cupboardDoorOpeningAnimation');
		RootZoomZone.HideObject('cupboardDoorClosed');
		CupboardZoomZone.UnhideObject('doorOpened');
		CupboardZoomZone.HideObject('doorClosed');

		if (gameState.cupboardDoorOpening == false) then
			local anim = playField:GetObject('cupboardDoorOpeningAnimation'):GetAnimation();
			anim:Stop();
			if (gameState.cupboardDoorOpened == true) then
				anim:SetFrame(anim:GetFrames() - 1);
				gameState.customCursors['actZoneKey'] = nil;
			else
				anim:SetFrame(0);
				gameState.customCursors['actZoneKey'] = {'CursorArms'};
			end
		end
		gameState.customCursors['actZoneKey'] = nil;
	else
		RootZoomZone.HideObject('cupboardDoorOpeningAnimation');
		RootZoomZone.UnhideObject('cupboardDoorClosed');
		CupboardZoomZone.HideObject('doorOpened');
		CupboardZoomZone.UnhideObject('doorClosed');
		gameState.customCursors['actZoneKey'] = {'CursorArms'};
	end

	if (gameState.gramophoneHandleOnPlace == true)  then
		GramophoneZoomZone.UnhideObject('GramophoneHandle_onPlace');
		UpstairsRoomZoomZone.UnhideObject('GramophoneHandle_onPlaceGenView');

		if (gameState.handleIsTurning == false) then
			local anim = playField:GetObject('GramophoneHandle_onPlace'):GetAnimation();
			anim:Stop();
			if (gameState.handleTurned == true) then
				anim:SetFrame(anim:GetFrames() - 1);
				gameState.customCursors['actZoneGramophoneHandle'] = nil;
			else
				anim:SetFrame(0);
				gameState.customCursors['actZoneGramophoneHandle'] = {'CursorArms'};
			end
		else
			gameState.customCursors['actZoneGramophoneHandle'] = nil;
		end
	else
		GramophoneZoomZone.HideObject('GramophoneHandle_onPlace');
		UpstairsRoomZoomZone.HideObject('GramophoneHandle_onPlaceGenView');
		gameState.customCursors['actZoneGramophoneHandle'] = {'CursorArms'};
	end

	if (gameState.scissorsUsed == true) then
		RootZoomZone.HideObject('blindGenView');
		WindowZoomZone.HideObject('blind');
		playField:GetObject('actZoneBlind'):SetVisible(false);
		gameState.customCursors['actZoneBlind'] = nil;
	else
		RootZoomZone.UnhideObject('blindGenView');
		WindowZoomZone.UnhideObject('blind');
		playField:GetObject('actZoneBlind'):SetVisible(true);
		gameState.customCursors['actZoneBlind'] = {'CursorArms'};
	end

	if (gameState.gramophoneDiscOnPlace == true) then
		GramophoneZoomZone.UnhideObject('GramophoneDisc_onPlace');
		UpstairsRoomZoomZone.UnhideObject('GramophoneDisc_onPlaceGenView');
		if (gameState.handleTurned == true) then
			playField:GetObject('GramophoneDisc_onPlace'):GetAnimation():Play();
		end
		gameState.customCursors['actZoneGramophoneDisc'] = nil;
	else
		GramophoneZoomZone.HideObject('GramophoneDisc_onPlace');
		UpstairsRoomZoomZone.HideObject('GramophoneDisc_onPlaceGenView');
		gameState.customCursors['actZoneGramophoneDisc'] = {'CursorArms'};
	end


	if (playField:HasObject('GramophoneHandle') == false) then
		gameState.customCursors['actZoneWindow'] = nil;
		gameState.lockedObjects['actZoneWindow'] = true;
	else
		gameState.customCursors['actZoneWindow'] = {'CursorZoom'};
		gameState.lockedObjects['actZoneWindow'] = nil;
	end
	if (playField:HasObject('GramophoneDisc') == false) then
		gameState.customCursors['actZoneCupboard'] = nil;
		gameState.lockedObjects['actZoneCupboard'] = true;
	else
		gameState.customCursors['actZoneCupboard'] = {'CursorZoom'};
		gameState.lockedObjects['actZoneCupboard'] = nil;
	end
	if (gameState.handleTurned == true) then
		gameState.customCursors['actZoneGramophone'] = nil;
		gameState.lockedObjects['actZoneGramophone'] = true;
	else
		gameState.customCursors['actZoneGramophone'] = {'CursorZoom'};
		gameState.lockedObjects['actZoneGramophone'] = nil;
	end
end

--// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
function auxAssingIntensityEffect(obj, duration, delay)
   	local eff = CreateAnimationEffector();
   	eff:AttachTo(obj);
    eff:SetMode(_ANIM_LOOP);
    local amplitude = 1.0;

    eff:SetKey(_TRACK_O, 0.0,       		 0.0*amplitude);
    eff:SetKey(_TRACK_O, duration *1.0/10.0, 0.8*amplitude);
    eff:SetKey(_TRACK_O, duration *2.0/10.0, 1.0*amplitude);
    eff:SetKey(_TRACK_O, duration *3.0/10.0, 0.6*amplitude);
    eff:SetKey(_TRACK_O, duration *4.0/10.0, 0.8*amplitude);
    eff:SetKey(_TRACK_O, duration *5.0/10.0, 1.0*amplitude);
--  eff:SetKey(_TRACK_O, duration *6.0/10.0, 1.0*amplitude);
--  eff:SetKey(_TRACK_O, duration *7.0/10.0, 1.0*amplitude);
--  eff:SetKey(_TRACK_O, duration *8.0/10.0, 1.0*amplitude);
	eff:SetKey(_TRACK_O, duration *9.0/10.0, 0.2*amplitude);
    eff:SetKey(_TRACK_O, duration *10.0/10.0,0.2*amplitude);
    eff:SetKey(_TRACK_O, duration + delay/2.0,0.35*amplitude);
    eff:SetKey(_TRACK_O, duration + delay,   0.0*amplitude);
    eff:Play();
end

--// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
function auxDisableSateFlag(flagName)
	assert(gameState[flagName] ~= nil);
	gameState[flagName] = false;
end
function auxPlayAnimationAndSetFlag(animationName, doneFlagName, blockingFlagName)
	local animation = playField:GetObject(animationName):GetAnimation();
	local duration = auxGetAnimationDuration(animation);

	assert(gameState[doneFlagName] ~= nil and gameState[blockingFlagName] ~= nil);
	gameState[doneFlagName] = true;
	gameState[blockingFlagName] = true;
	TimerDoString('auxDisableSateFlag(\''..blockingFlagName..'\');', duration, playField:GetTimer());
	animation:Play();
end
function auxOpenCupboardDoor()
	auxPlayAnimationAndSetFlag('cupboardDoorOpeningAnimation', 'cupboardDoorOpened', 'cupboardDoorOpening');
end
function auxOpenDoor()
	auxPlayAnimationAndSetFlag('doorOpeningAnimation', 'doorOpened', 'doorOpening');
end
function auxTurnHandle()
	auxPlayAnimationAndSetFlag('GramophoneHandle_onPlace', 'handleTurned', 'handleIsTurning');
end

--// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
function auxUpdatePeriodicAnimations(dt)
	if (gameState.nextAnimationDelay == 0.0) then
		local animations = {};

		for compositionName, composition in pairs(hutOnTree2Compositions) do
			if (composition:IsCyclic() == false) then
				table.insert(animations, composition:GetName());
			end
		end

		local animName = animations[math.random(1, table.getn(animations))];
		if (animName ~= nil) then
			local composition = auxGetHutOnTree2Animation(animName);

            if (composition ~= nil and composition:IsPaused() == true) then
				auxPlayHutOnTree2Animation(animName);
			end
		end
		gameState.nextAnimationDelay = math.random(4, 8);
	else
		gameState.nextAnimationDelay = (gameState.nextAnimationDelay - dt >= 0.0 and gameState.nextAnimationDelay - dt or 0.0);
	end
end

--// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
function auxTestLevelCompleteCondition()
	if (
		gameState.cupboardDoorOpened == true and
		gameState.doorOpened == true and
		gameState.handleTurned == true and

		gameState.allToolsApplied == true and
		gameState.levelCompleted == false and
		playField:GetLevelScreen():HasUncompletedTask() == false) then

		gameState.levelCompleted = true;
	--// play outro comix
	TimerDoString('playField:GetLevelScreen():ShowComicScreen(\'Level8Outro\');', 1.0, playField:GetTimer());
		TimerDoString('OnWin();', 2.0, playField:GetTimer());
	end
end
-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

------------------------------------------------------------------------------
--
function OnDialogButtonPress(name, param)
end

------------------------------------------------------------------------------
--
function OnUpdate(dt)
    DefaultOnUpdate(dt);

	auxUpdatePeriodicAnimations(dt);
end

------------------------------------------------------------------------------
--
function OnWin()
	DefaultOnWin();
end

------------------------------------------------------------------------------
--
function OnObjectMouseEnter(object)
    local objectName = object:GetName();

    DefaultOnObjectMouseEnter(object);
	ActivateActiveZoneGlow(objectName);
end

------------------------------------------------------------------------------
--
function OnObjectMouseLeave(object)
    local objectName = object:GetName();

    DefaultOnObjectMouseLeave(object);
    DeactivateActiveZoneGlow(objectName);
end

-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
--
function auxCloseGramophoneZoom()
	CloseAndBlockActiveZone();

	auxTestLevelCompleteCondition();
	auxProcessToolObjectStateAnCursorType();

	assert(gameState.activeZone == UpstairsRoomZoomZone);
end

------------------------------------------------------------------------------
--
function OnObjectMouseDown(object)
    local objectName = object:GetName();
    local isWrongClick = true;

	assert(gameState.activeZone ~= nil and gameState.locker:GetNReferences() > 0);

    if (gameState.lockedObjects[objectName] ~= true) then
        if (gameState.activeZone.HasObject(objectName)) then
            isWrongClick = DefaultOnZoomZoneActiveObjectClick(objectName);

			--// ...
			if (objectName == 'actZoneGramophoneHandle' and 
				gameState.gramophoneHandleOnPlace == true and
				gameState.handleTurned == false) then

				if (gameState.gramophoneDiscOnPlace == true) then
					auxTurnHandle();
					PlaySound('L08S12', true);

				    assert(gameState.activeZone ~= nil);
					BlockZone(gameState.activeZone);
					TimerDoString('auxCloseGramophoneZoom();', 2.0, playField:GetTimer());
--					CloseAndBlockActiveZone();

--					auxTestLevelCompleteCondition();
--					auxProcessToolObjectStateAnCursorType();
	                isWrongClick = false;
				else
				    playField:GetLevelScreen():ShowTip(GetTextString('LEVEL8_HAVE_TO_FIND_DISC'));
				end
			end

	        if (isWrongClick == true and playField:GetLevelScreen():IsTaskObject(objectName)) then
	            auxAttachInPlace(object, playField);
				object:ResetClippingRect();
				--// remove object from zoom-zone which contents it
				assert(gameState.activeZone.objects[objectName] ~= nil);
				gameState.activeZone.objects[objectName] = nil;

                playField:OnObjectFound(object);
                isWrongClick = false;
            end
        else
--			assert(gameState.activeZone ~= RootZoomZone and 
--				   gameState.locker:GetNReferences() > 1 and
--				   'Attempt to close root scene - you have clicked on an object which hasn`t been added to any zoom-zone');
            if (gameState.activeZone ~= RootZoomZone and gameState.locker:GetNReferences() > 1) then
                if (gameState.lockedObjects[gameState.activeZone.activeObject] == nil) then
                    SetZoneVisible(gameState.activeZone, false);
                end
            else
                Log('Lua: OnObjectMouseDown(\''..objectName..'\'): Was made click on object which hasn`t been attached to any zoom-zone');
            end
        end --// if (gameState.activeZone.HasObject(...
    end --// if (gameState.lockedObjects[...

	--// Tips - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
	if (objectName == 'actZoneMapFragment' and gameState.mapFragmentOnPlace == false) then
	    playField:GetLevelScreen():ShowTip(GetTextString('LEVEL8_MAP_FRAGMENT_TIP1'));
	elseif (objectName == 'actZoneDoor' and gameState.doorHandleOnPlace == false) then
	    playField:GetLevelScreen():ShowTip(GetTextString('LEVEL8_DOOR_HANDLE_TIP1'));
	elseif (objectName == 'actZoneGramophoneHandle' and gameState.gramophoneHandleOnPlace == false) then
	    playField:GetLevelScreen():ShowTip(GetTextString('LEVEL8_GRAMO_HANDLE_TIP1'));
	elseif (objectName == 'actZoneGramophoneDisc' and gameState.gramophoneDiscOnPlace == false) then
	    playField:GetLevelScreen():ShowTip(GetTextString('LEVEL8_GRAMO_DISC_TIP1'));
	elseif (objectName == 'actZoneBlind' and gameState.scissorsUsed == false) then
	    playField:GetLevelScreen():ShowTip(GetTextString('LEVEL8_BLIND_TIP1'));
	elseif (objectName == 'actZoneKey' and gameState.keyUsed == false) then
	    playField:GetLevelScreen():ShowTip(GetTextString('LEVEL8_KEY_TIP1'));
	else
	    playField:GetLevelScreen():HideTip();
	end
	--//- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
    DefaultOnObjectClick(object, isWrongClick, not playField:GetLevelScreen():IsTipShown());
    DefaultOnObjectMouseEnter(object);

	--//- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
	if (gameState.gramophoneHandleOnPlace == true and gameState.handleTurned == true) then
	    local volume = ((gameState.activeZone == UpstairsRoomZoomZone or gameState.activeZone == GramophoneZoomZone) and 1.0 or 0.25);
        SetSoundVolume('L08S12', volume);
	end
end

------------------------------------------------------------------------------
--
function OnObjectMouseUp(object)
end

------------------------------------------------------------------------------
--
function OnObjectFound(object)
    local objectName = object:GetName();
	-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
	if (objectName == 'GramophoneDisc') then
		RootZoomZone.HideObject('GramophoneDisc_GenView');
	end

    --// automatic zoom-zone hiding and blocking
	do
	    assert(gameState.activeZone ~= nil);
	    if ((gameState.activeZone == CupboardZoomZone and objectName == 'GramophoneDisc') or
			(gameState.activeZone == WindowZoomZone and objectName == 'GramophoneHandle')) then
			CloseAndBlockActiveZone();
	    end
	end

	-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
	local objectMustBeHighlighted = DefaultOnObjectFound(object);
	return objectMustBeHighlighted;
end

------------------------------------------------------------------------------
--
function OnToolFound(tool)
end

------------------------------------------------------------------------------
--
function CanToolBeApplied(tool, object)
	local toolName = tool:GetName();
	local objName = object:GetName();
    local canToolBeApplied = true;
	-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
	-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
	canToolBeApplied = DefaultCanToolBeApplied(tool, object);
	return canToolBeApplied;
end

------------------------------------------------------------------------------
--
function OnToolApply(tool, object)
	local toolName = tool:GetName();
	local objName = object:GetName();
    local toolApplied = false;

	-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
	if (toolName == 'MapFragment' and objName == gameState.toolMap[toolName]) then
    	gameState.mapFragmentOnPlace = true;
		toolApplied = true;
	    PlaySound('L08S14');
		playField:GetLevelScreen():RunMiniGame('data/Scripts/Minigames/Zeppelin.lua');
	end
	if (toolName == 'DoorHandle' and objName == gameState.toolMap[toolName]) then
    	gameState.doorHandleOnPlace = true;
		toolApplied = true;
		auxOpenDoor();
		PlaySound('L08S10');
	end
	if (toolName == 'GramophoneHandle' and objName == gameState.toolMap[toolName]) then
    	gameState.gramophoneHandleOnPlace = true;
		toolApplied = true;
	end
	if (toolName == 'Scissors' and objName == gameState.toolMap[toolName]) then
    	gameState.scissorsUsed = true;
		toolApplied = true;
		PlaySound('L08S13');
	end
	if (toolName == 'GramophoneDisc' and objName == gameState.toolMap[toolName]) then
    	gameState.gramophoneDiscOnPlace = true;
		toolApplied = true;
	end
	if (toolName == 'Key' and objName == gameState.toolMap[toolName]) then
    	gameState.keyUsed = true;
		toolApplied = true;
		auxOpenCupboardDoor();
		PlaySound('L08S11');
	end
	if (not toolApplied) then
	    playField:GetLevelScreen():ShowTip(GetTextString('WRONG_ITEM_APPLIED_TIP1'),
										   GetTextString('WRONG_ITEM_APPLIED_TIP2'));
	end

	if (gameState.mapFragmentOnPlace == true and
		gameState.doorHandleOnPlace == true and
		gameState.gramophoneHandleOnPlace == true and
		gameState.scissorsUsed == true and
		gameState.gramophoneDiscOnPlace == true and
		gameState.keyUsed == true and
		gameState.allToolsApplied == false) then

		gameState.allToolsApplied = true;
		if (playField:GetLevelScreen():HasUncompletedTask() == true) then
		    playField:GetLevelScreen():ShowTip(GetTextString('HAVE_TO_FIND_ITEMS_MSG1'),
											   GetTextString('HAVE_TO_FIND_ITEMS_MSG2'));
		else
			auxTestLevelCompleteCondition();
		end
	end

	auxProcessToolObjectStateAnCursorType();
	-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
    DefaultOnObjectMouseEnter(object);
	if (toolApplied == true) then
	    DeactivateActiveZoneDeactivatedGlow(object:GetName());
	end
	return toolApplied;
end

------------------------------------------------------------------------------
--
function OnObjectReachPanel(object)
    local objectName = object:GetName();
	-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
	auxTestLevelCompleteCondition();
end

------------------------------------------------------------------------------
--
function OnButtonPress(zoneName)
    DefaultOnButtonPress(zoneName);
end

------------------------------------------------------------------------------
--
function OnMouseMove(prevMousePos, currentMousePos)
end

------------------------------------------------------------------------------
--
function OnSetTool(tool)
end

------------------------------------------------------------------------------
-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData()
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Layers/background.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('RootBackground',anim,512,384,99,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Layers/doorLight.jpg',0,0,475,475,1,0)
	anim:SetHotSpot(237,237)
	anim:SetBlendMode(0)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('doorLight',anim,309,493,106,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Layers/blindGenView.png',0,0,60,70,1,0)
	anim:SetHotSpot(30,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('blindGenView',anim,875,276,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Layers/doorWithoutHandle.png',0,0,60,110,1,0)
	anim:SetHotSpot(30,55)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('doorWithoutHandle',anim,698,536,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Layers/doorOpeningAnimation.png',0,0,110,114,6,12)
	anim:SetHotSpot(55,57)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('doorOpeningAnimation',anim,725,536,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Layers/cupboardDoorClosed.png',0,0,74,67,1,0)
	anim:SetHotSpot(37,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('cupboardDoorClosed',anim,513,554,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Layers/cupboardDoorOpeningAnimation.png',0,0,88,80,6,10)
	anim:SetHotSpot(44,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('cupboardDoorOpeningAnimation',anim,520,560,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/Misc/apple.png',0,0,54,42,1,0)
	anim:SetHotSpot(27,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('apple',anim,434,498,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/Misc/bag.png',0,0,67,101,1,0)
	anim:SetHotSpot(33,50)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('bag',anim,821,167,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/Misc/balance.png',0,0,163,152,1,0)
	anim:SetHotSpot(81,76)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('balance',anim,742,645,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/Misc/bee.png',0,0,48,57,1,0)
	anim:SetHotSpot(24,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('bee',anim,388,227,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/Misc/bird.png',0,0,80,67,1,0)
	anim:SetHotSpot(40,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('bird',anim,634,654,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/Misc/book.png',0,0,149,76,1,0)
	anim:SetHotSpot(74,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('book',anim,260,675,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/Misc/boot.png',0,0,100,92,1,0)
	anim:SetHotSpot(50,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('boot',anim,979,600,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/Misc/bottleWithOil.png',0,0,70,80,1,0)
	anim:SetHotSpot(35,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('bottleWithOil',anim,283,250,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/Misc/box.png',0,0,83,70,1,0)
	anim:SetHotSpot(41,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('box',anim,434,731,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/Misc/bug.png',0,0,54,81,1,0)
	anim:SetHotSpot(27,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('bug',anim,980,715,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/Misc/chest.png',0,0,207,88,1,0)
	anim:SetHotSpot(103,44)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('chest',anim,420,657,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/Misc/coin.png',0,0,65,62,1,0)
	anim:SetHotSpot(32,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('coin',anim,629,428,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/Misc/compass.png',0,0,71,78,1,0)
	anim:SetHotSpot(35,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('compass',anim,338,32,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/Misc/crawfish.png',0,0,68,128,1,0)
	anim:SetHotSpot(34,64)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('crawfish',anim,504,112,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/Misc/eggplant.png',0,0,98,77,1,0)
	anim:SetHotSpot(49,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('eggplant',anim,812,740,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/Misc/emerald.png',0,0,52,84,1,0)
	anim:SetHotSpot(26,42)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('emerald',anim,587,452,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/Misc/fan.png',0,0,120,79,1,0)
	anim:SetHotSpot(60,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('fan',anim,537,213,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/Misc/flower.png',0,0,54,57,1,0)
	anim:SetHotSpot(27,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('flower',anim,133,286,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/Misc/fryingPan.png',0,0,109,121,1,0)
	anim:SetHotSpot(54,60)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('fryingPan',anim,867,672,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/Misc/grapes.png',0,0,72,96,1,0)
	anim:SetHotSpot(36,48)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('grapes',anim,997,99,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/Misc/hat.png',0,0,86,67,1,0)
	anim:SetHotSpot(43,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('hat',anim,930,553,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/Misc/hummer.png',0,0,160,75,1,0)
	anim:SetHotSpot(80,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('hummer',anim,622,724,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/Misc/jug.png',0,0,83,118,1,0)
	anim:SetHotSpot(41,59)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('jug',anim,701,698,106,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/Misc/key.png',0,0,64,86,1,0)
	anim:SetHotSpot(32,43)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('key',anim,203,690,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/Misc/leatherBag.png',0,0,87,69,1,0)
	anim:SetHotSpot(43,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('leatherBag',anim,611,622,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/Misc/leaves.png',0,0,74,84,1,0)
	anim:SetHotSpot(37,42)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('leaves',anim,146,122,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/Misc/lizard.png',0,0,124,79,1,0)
	anim:SetHotSpot(62,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('lizard',anim,246,97,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/Misc/mortar.png',0,0,96,93,1,0)
	anim:SetHotSpot(48,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('mortar',anim,256,747,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/Misc/mushrooms.png',0,0,93,79,1,0)
	anim:SetHotSpot(46,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('mushrooms',anim,227,41,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/Misc/oranges.png',0,0,110,126,1,0)
	anim:SetHotSpot(55,63)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('oranges',anim,514,651,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/Misc/pot.png',0,0,56,68,1,0)
	anim:SetHotSpot(28,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('pot',anim,312,162,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/Misc/scroll.png',0,0,69,115,1,0)
	anim:SetHotSpot(34,57)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('scroll',anim,370,539,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/Misc/skin.png',0,0,107,133,1,0)
	anim:SetHotSpot(53,66)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('skin',anim,680,44,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/Misc/snail.png',0,0,79,91,1,0)
	anim:SetHotSpot(39,45)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('snail',anim,626,346,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/Misc/tabaccoPipe.png',0,0,104,55,1,0)
	anim:SetHotSpot(52,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('tabaccoPipe',anim,316,740,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/Misc/totem.png',0,0,65,137,1,0)
	anim:SetHotSpot(32,68)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('totem',anim,854,59,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/Misc/tube.png',0,0,108,39,1,0)
	anim:SetHotSpot(54,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('tube',anim,336,605,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/Misc/vase.png',0,0,82,138,1,0)
	anim:SetHotSpot(41,69)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('vase',anim,901,402,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/Misc/volute.png',0,0,70,94,1,0)
	anim:SetHotSpot(35,47)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('volute',anim,688,316,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/Misc/whisk.png',0,0,86,110,1,0)
	anim:SetHotSpot(43,55)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('whisk',anim,683,159,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Layers/LayerOverBag.png',0,0,60,55,1,0)
	anim:SetHotSpot(30,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOverBag',anim,798,128,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Layers/LayerOverBalance.png',0,0,157,109,1,0)
	anim:SetHotSpot(78,54)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOverBalance',anim,732,656,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Layers/LayerOverBook.png',0,0,92,86,1,0)
	anim:SetHotSpot(46,43)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOverBook',anim,213,666,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Layers/LayerOverBottleWithOil.png',0,0,79,20,1,0)
	anim:SetHotSpot(39,10)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOverBottleWithOil',anim,275,280,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Layers/LayerOverEggplant.png',0,0,74,42,1,0)
	anim:SetHotSpot(37,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOverEggplant',anim,844,755,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Layers/LayerOverFan.png',0,0,100,55,1,0)
	anim:SetHotSpot(50,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOverFan',anim,520,236,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Layers/LayerOverFryingPan.png',0,0,137,137,1,0)
	anim:SetHotSpot(68,68)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOverFryingPan',anim,868,672,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Layers/LayerOverKey.png',0,0,77,99,1,0)
	anim:SetHotSpot(38,49)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOverKey',anim,218,706,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Layers/LayerOverOranges.png',0,0,139,76,1,0)
	anim:SetHotSpot(69,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOverOranges',anim,500,696,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Layers/LayerOverPot.png',0,0,61,37,1,0)
	anim:SetHotSpot(30,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOverPot',anim,312,133,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Layers/LayerOverSkin.png',0,0,63,110,1,0)
	anim:SetHotSpot(31,55)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOverSkin',anim,708,56,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Layers/LayerOverScissors.png',0,0,52,34,1,0)
	anim:SetHotSpot(26,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOverScissors',anim,209,167,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/actZoneC.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('actZoneDoor',anim,699,539,103,0,0.7,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/actZoneC.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('actZoneMapFragment',anim,520,392,104,0,1.2,1.2)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/MapFragment_onPlace.png',0,0,123,121,1,0)
	anim:SetHotSpot(61,60)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('MapFragment_onPlace',anim,533,403,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/GramophoneDisc_onPlaceGenView.png',0,0,56,18,1,0)
	anim:SetHotSpot(28,9)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('GramophoneDisc_GenView',anim,513,550,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/MapFragment.png',0,0,46,60,1,0)
	anim:SetHotSpot(23,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('MapFragment',anim,703,542,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/DoorHandle.png',0,0,69,49,1,0)
	anim:SetHotSpot(34,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('DoorHandle',anim,300,622,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/Scissors.png',0,0,65,115,1,0)
	anim:SetHotSpot(32,57)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('Scissors',anim,215,206,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/actZoneC.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('actZoneWindow',anim,869,266,103,0,0.8,1.2)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/Window/Layers/background.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('ZoomWindowBackground',anim,632,308,200,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/Window/Layers/blind.png',0,0,266,175,1,0)
	anim:SetHotSpot(133,87)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('blind',anim,675,364,203,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/actZoneC.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('actZoneBlind',anim,685,369,204,0,1.9,2.2)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/GramophoneHandle.png',0,0,49,141,1,0)
	anim:SetHotSpot(24,70)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('GramophoneHandle',anim,692,303,202,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/Window/Layers/LayerOverHandle.png',0,0,71,84,1,0)
	anim:SetHotSpot(35,42)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('LayerOverHandle',anim,697,257,203,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/actZoneC.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('actZoneCupboard',anim,510,552,104,0,1.1,0.8)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/Cupboard/Layers/background.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('ZoomCupboardBackground',anim,567,420,200,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/actZoneC.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('actZoneKey',anim,533,506,205,0,1.2,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/Cupboard/Layers/doorOpened.png',0,0,203,328,1,0)
	anim:SetHotSpot(101,164)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('doorOpened',anim,785,474,203,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/Cupboard/Layers/doorClosed.png',0,0,262,246,1,0)
	anim:SetHotSpot(131,123)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('doorClosed',anim,588,448,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/GramophoneDisc.png',0,0,112,43,1,0)
	anim:SetHotSpot(56,21)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('GramophoneDisc',anim,555,431,201,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/actZoneC.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('actZoneUpstairsRoom',anim,766,250,101,0,0.9,1.6)
	local anim = CreateAnimation('data/Texture/Scenes/Common/actZoneC.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('navigationZoneUpstairsRoom',anim,782,438,201,0,1.3,2)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Layers/background.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('ZoomUpstairsRoomBackground',anim,512,384,199,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/arrow.png',0,0,114,80,1,0)
	anim:SetHotSpot(57,40)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('arrow',anim,960,730,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/axe.png',0,0,165,47,1,0)
	anim:SetHotSpot(82,23)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('axe',anim,317,633,203,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/basket.png',0,0,164,125,1,0)
	anim:SetHotSpot(82,62)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('basket',anim,506,711,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/bottle.png',0,0,70,143,1,0)
	anim:SetHotSpot(35,71)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('bottle',anim,996,591,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/bow.png',0,0,71,187,1,0)
	anim:SetHotSpot(35,93)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('bow',anim,546,536,203,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/box.png',0,0,118,74,1,0)
	anim:SetHotSpot(59,37)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('box1',anim,731,630,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/bug.png',0,0,55,78,1,0)
	anim:SetHotSpot(27,39)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('bug1',anim,1006,501,201,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/butterfly.png',0,0,61,63,1,0)
	anim:SetHotSpot(30,31)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('butterfly',anim,571,64,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/button.png',0,0,54,55,1,0)
	anim:SetHotSpot(27,27)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('button',anim,549,141,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/candlestick.png',0,0,78,136,1,0)
	anim:SetHotSpot(39,68)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('candlestick',anim,443,704,205,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/carrot.png',0,0,86,158,1,0)
	anim:SetHotSpot(43,79)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('carrot',anim,924,426,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/catStatuette.png',0,0,81,135,1,0)
	anim:SetHotSpot(40,67)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('catStatuette',anim,772,580,203,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/chest.png',0,0,135,80,1,0)
	anim:SetHotSpot(67,40)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('chest1',anim,451,605,201,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/corn.png',0,0,63,125,1,0)
	anim:SetHotSpot(31,62)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('corn',anim,746,113,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/dishes.png',0,0,77,66,1,0)
	anim:SetHotSpot(38,33)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('dishes',anim,209,232,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/dove.png',0,0,67,57,1,0)
	anim:SetHotSpot(33,28)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('dove',anim,302,98,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/feathers.png',0,0,49,67,1,0)
	anim:SetHotSpot(24,33)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('feathers',anim,691,301,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/guitar.png',0,0,57,114,1,0)
	anim:SetHotSpot(28,57)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('guitar',anim,832,249,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/hieroglyph.png',0,0,58,66,1,0)
	anim:SetHotSpot(29,33)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('hieroglyph',anim,447,98,203,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/jug.png',0,0,85,102,1,0)
	anim:SetHotSpot(42,51)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('jug1',anim,921,245,202,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/kiwiFruit.png',0,0,109,79,1,0)
	anim:SetHotSpot(54,39)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('kiwiFruit',anim,348,732,205,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/knife.png',0,0,57,78,1,0)
	anim:SetHotSpot(28,39)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('knife',anim,596,602,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/leaf.png',0,0,82,75,1,0)
	anim:SetHotSpot(41,37)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('leaf',anim,152,49,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/lemon.png',0,0,82,58,1,0)
	anim:SetHotSpot(41,29)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('lemon',anim,935,634,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/mop.png',0,0,83,162,1,0)
	anim:SetHotSpot(41,81)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('mop',anim,623,213,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/mushrooms.png',0,0,71,86,1,0)
	anim:SetHotSpot(35,43)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('mushrooms1',anim,970,318,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/nest.png',0,0,75,90,1,0)
	anim:SetHotSpot(37,45)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('nest',anim,151,392,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/orchid.png',0,0,72,81,1,0)
	anim:SetHotSpot(36,40)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('orchid',anim,928,55,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/pear.png',0,0,61,75,1,0)
	anim:SetHotSpot(30,37)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('pear',anim,396,520,203,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/pencils.png',0,0,71,85,1,0)
	anim:SetHotSpot(35,42)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('pencils',anim,457,397,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/pendant.png',0,0,61,99,1,0)
	anim:SetHotSpot(30,49)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('pendant',anim,298,260,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/plant.png',0,0,84,109,1,0)
	anim:SetHotSpot(42,54)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('plant',anim,488,257,203,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/plate.png',0,0,118,66,1,0)
	anim:SetHotSpot(59,33)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('plate',anim,774,732,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/pot.png',0,0,134,113,1,0)
	anim:SetHotSpot(67,56)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('pot1',anim,588,695,203,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/rope.png',0,0,37,122,1,0)
	anim:SetHotSpot(18,61)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('rope',anim,700,80,203,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/spoon.png',0,0,129,51,1,0)
	anim:SetHotSpot(64,25)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('spoon',anim,934,616,203,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/stackOfBooks.png',0,0,90,91,1,0)
	anim:SetHotSpot(45,45)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('stackOfBooks',anim,980,256,202,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/sun.png',0,0,73,74,1,0)
	anim:SetHotSpot(36,37)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('sun',anim,724,394,200,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/wallet.png',0,0,71,79,1,0)
	anim:SetHotSpot(35,39)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('wallet',anim,214,531,203,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Items/waterCan.png',0,0,158,135,1,0)
	anim:SetHotSpot(79,67)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('waterCan',anim,267,699,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Layers/LayerOverBow.png',0,0,48,67,1,0)
	anim:SetHotSpot(24,33)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('LayerOverBow',anim,536,602,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Layers/LayerOverHieroglyph.png',0,0,65,42,1,0)
	anim:SetHotSpot(32,21)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('LayerOverHieroglyph',anim,444,69,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Layers/LayerOverJug.png',0,0,64,27,1,0)
	anim:SetHotSpot(32,13)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('LayerOverJug',anim,905,286,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Layers/LayerOverMop.png',0,0,36,36,1,0)
	anim:SetHotSpot(18,18)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('LayerOverMop',anim,594,287,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Layers/LayerOverPear.png',0,0,89,58,1,0)
	anim:SetHotSpot(44,29)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('LayerOverPear',anim,394,543,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Layers/LayerOverPencils.png',0,0,66,95,1,0)
	anim:SetHotSpot(33,47)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('LayerOverPencils',anim,465,383,205,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Layers/layerOverPlant.png',0,0,95,107,1,0)
	anim:SetHotSpot(47,53)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('layerOverPlant',anim,493,270,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Layers/LayerOverRope.png',0,0,54,39,1,0)
	anim:SetHotSpot(27,19)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('LayerOverRope',anim,699,31,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Layers/LayerOverStackOfBooks.png',0,0,120,56,1,0)
	anim:SetHotSpot(60,28)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('LayerOverStackOfBooks',anim,965,292,203,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Layers/LayerOverWallet.png',0,0,24,24,1,0)
	anim:SetHotSpot(12,12)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('LayerOverWallet',anim,196,502,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Layers/LayerOverKey.png',0,0,40,94,1,0)
	anim:SetHotSpot(20,47)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('LayerOverKey1',anim,529,154,202,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/GramophoneHandle_onPlaceGenView.png',0,0,40,40,1,0)
	anim:SetHotSpot(20,20)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('GramophoneHandle_onPlaceGenView',anim,681,537,201,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/GramophoneDisc_onPlaceGenView.png',0,0,56,18,1,0)
	anim:SetHotSpot(28,9)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('GramophoneDisc_onPlaceGenView',anim,643,506,201,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/Key.png',0,0,67,78,1,0)
	anim:SetHotSpot(33,39)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('Key',anim,507,161,201,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/actZoneC.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('actZoneGramophone',anim,643,478,202,0,1.1,1.5)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Zones/Gramophone/Layers/background.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('ZoomGramophoneBackground',anim,607,408,300,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Zones/Gramophone/Layers/gramophoneMechanism.png',0,0,96,68,1,0)
	anim:SetHotSpot(48,34)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('gramophoneMechanism',anim,613,447,302,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Zones/UspairsRoom/Zones/Gramophone/Layers/LayerOverDisc.png',0,0,78,68,1,0)
	anim:SetHotSpot(39,34)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('LayerOverDisc',anim,564,449,303,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/GramophoneDisc_onPlace.png',0,0,128,98,5,9)
	anim:SetHotSpot(64,49)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('GramophoneDisc_onPlace',anim,615,463,301,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/GramophoneHandle_onPlace.png',0,0,115,130,5,9)
	anim:SetHotSpot(57,65)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('GramophoneHandle_onPlace',anim,730,564,301,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/actZoneC.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('actZoneGramophoneDisc',anim,613,492,304,0,1.2,0.5)
	local anim = CreateAnimation('data/Texture/Scenes/Common/actZoneC.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('actZoneGramophoneHandle',anim,675,564,304,0,0.8,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/GramophoneDisc_ghost.png',0,0,140,70,1,0)
	anim:SetHotSpot(70,70)
	anim:SetBlendMode(0)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('GramophoneDisc_ghost',anim,614,523,310,0,1.1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/GramophoneHandle_ghost.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(0)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('GramophoneHandle_ghost',anim,720,587,310,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/Key_ghost.png',0,0,116,66,1,0)
	anim:SetHotSpot(58,33)
	anim:SetBlendMode(0)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('Key_ghost',anim,575,480,210,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/DoorHandle_ghost..png',0,0,74,68,1,0)
	anim:SetHotSpot(37,34)
	anim:SetBlendMode(0)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('DoorHandle_ghost',anim,710,548,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/Scissors_ghost.png',0,0,80,140,1,0)
	anim:SetHotSpot(40,70)
	anim:SetBlendMode(0)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('Scissors_ghost',anim,668,347,210,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/08_HutOnTree2/Items/MapFragment_ghost.png',0,0,160,160,1,0)
	anim:SetHotSpot(80,80)
	anim:SetBlendMode(0)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('MapFragment_ghost',anim,534,407,110,0,1,1)
end

function FreeData()
end
-- CLEAR_ON_SAVE_END
